Db2Instance (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2Instance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2Instance

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, Db2Server, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  MySAPDb2Instance

    public interface Db2Instance

extends Db2Server

Represents an instance within a Db2 System.

Persistable:
  true
Display Name:
  parent,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.db2.Db2Server
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`Db2Alias[]` | `getAliases()`
`java.lang.String` | `getBitSize()`
`Db2Database[]` | `getDatabases()`
`Db2InstanceConfigValue[]` | `getDBMConfigValues()`
`Db2System` | `getParent()`
`Db2InstanceConfigValue[]` | `getProfileRegistry()`
`Db2ServerProcess[]` | `getServerProcesses()`
`boolean` | `hasAliases()`
`boolean` | `hasBitSize()`
`boolean` | `hasDatabases()`
`boolean` | `hasDBMConfigValues()`
`boolean` | `hasParent()`
`boolean` | `hasProfileRegistry()`
`boolean` | `hasServerProcesses()`
`void` | `setAliases(Db2Alias[] x)`
`void` | `setBitSize(java.lang.String bits)`
`void` | `setDatabases(Db2Database[] dbs)`
`void` | `setDBMConfigValues(Db2InstanceConfigValue[] values)`
`void` | `setParent(Db2System parent)`
`void` | `setProfileRegistry(Db2InstanceConfigValue[] values)`
`void` | `setServerProcesses(Db2ServerProcess[] processes)`

Methods inherited from interface com.collation.platform.model.topology.app.db.db2.Db2Server
`getBuildLevel, getComment, getLevel, getLevelId, getNodeName, getPort, getProductId, getProtocol, getProtocolParams, getPTF, getType, hasBuildLevel, hasComment, hasLevel, hasLevelId, hasNodeName, hasPort, hasProductId, hasProtocol, hasProtocolParams, hasPTF, hasType, setBuildLevel, setComment, setLevel, setLevelId, setNodeName, setPort, setProductId, setProtocol, setProtocolParams, setPTF, setType`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    Db2System getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Db2System parent)

### hasParent

    boolean hasParent()

### getBitSize

    java.lang.String getBitSize()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBitSize

    void setBitSize(java.lang.String bits)

### hasBitSize

    boolean hasBitSize()

### getDatabases

    Db2Database[] getDatabases()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDatabases

    void setDatabases(Db2Database[] dbs)

### hasDatabases

    boolean hasDatabases()

### getProfileRegistry

    Db2InstanceConfigValue[] getProfileRegistry()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setProfileRegistry

    void setProfileRegistry(Db2InstanceConfigValue[] values)

### hasProfileRegistry

    boolean hasProfileRegistry()

### getDBMConfigValues

    Db2InstanceConfigValue[] getDBMConfigValues()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDBMConfigValues

    void setDBMConfigValues(Db2InstanceConfigValue[] values)

### hasDBMConfigValues

    boolean hasDBMConfigValues()

### getServerProcesses

    Db2ServerProcess[] getServerProcesses()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setServerProcesses

    void setServerProcesses(Db2ServerProcess[] processes)

### hasServerProcesses

    boolean hasServerProcesses()

### getAliases

    Db2Alias[] getAliases()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setAliases

    void setAliases(Db2Alias[] x)

### hasAliases

    boolean hasAliases()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD